<template>
  <div>
    <router-link to="/journal-de-bord" id="Anastasis">
      <img src="/../ressources/anastasis.png" alt="" />
    </router-link>

    <div class="box">
      <h3>Dossier privé</h3>
    </div>
    <div class="gallery">
      <viewer :options="options" :images="images">
        <img v-for="src in images" :key="src" :src="src" />
      </viewer>
    </div>
  </div>
</template>

<script>
import "viewerjs/dist/viewer.css";
import VueViewer from "v-viewer";
import Vue from "vue";
Vue.use(VueViewer);
export default {
  name: "PrivateFolderPage",
  mounted() {
    if (!this.$cookie.get("connected") || !this.$cookie.get("dossierprive")) {
      this.$router.push({ path: "/journal-de-bord" });
    }
  },
  data() {
    return {
      images: [
        "/../ressources/logs/prive/contrat-partenariat.png",
        "/../ressources/logs/prive/facture.png",
        "/../ressources/logs/prive/decharge.png",
        "/../ressources/logs/prive/mail.png",
        "/../ressources/logs/prive/rapport.png",
      ],
      options: {
        toolbar: {
          zoomIn: 4,
          zoomOut: 4,
          prev: 4,
          next: 4,
        },
      },
    };
  },
  methods: {
    show() {
      this.$viewerApi({
        images: this.images,
      });
    },
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.gallery {
  margin: 0 auto 50px;
  width: 90%;
}

.gallery div {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  align-items: center;
}

.gallery img {
  margin: 15px 0;
  width: 30%;
  height: auto;
  cursor: pointer;
}

.gallery div::after {
  content: "";
  width: 30%;
}
</style>
